package com.example.kpprinter.java;

import com.printer.sdk.PrinterConstants;
import com.printer.sdk.PrinterInstance;

import java.util.List;
import java.util.Map;

public class IDPrintsSdk {


    interface printStatus {
        void status();
    }

    public static void printBill(List<Map<String,String>> printMsg, PrinterInstance mPrinter, printStatus status) {



        for (int i = 0;i<printMsg.size();i++){
            String printStyle = printMsg.get(i).get("LayoutStyle");
            String printContent = printMsg.get(i).get("content");
            switch (printStyle) {
                case "left":
                    mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 0);
                    mPrinter.printText(printContent);
                    mPrinter.printText("\n");
                    break;
                case "center":
                    mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 1);
                    mPrinter.printText(printContent);
                    mPrinter.printText("\n");
                    break;
                case "right":
                    mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 2);
                    mPrinter.printText(printContent);
                    mPrinter.printText("\n");
                    break;
                case "enter":
                    mPrinter.printText("\n");
                    mPrinter.printText("\n");
                    break;
            }
        }


//        String mm = "[\n" +
//                "    {\n" +
//                "        \"context\": \"Google\",\n" +
//                "        \"LayoutStyle\": \"left\"\n" +
//                "    },\n" +
//                "    {\n" +
//                "        \"context\": \"Baidu\",\n" +
//                "        \"LayoutStyle\": \"center\"\n" +
//                "    },\n" +
//                "    {\n" +
//                "        \"context\": \"SoSo\",\n" +
//                "        \"LayoutStyle\": \"right\"\n" +
//                "    }\n" +
//                "]";
//        String printContent = null;
//        String printStyle = null;
//        JsonArray arry = new JsonParser().parse(mm).getAsJsonArray();
//        for (int i = 0; i < arry.size(); i++) {
//            JsonObject signin = (JsonObject) arry.get(i);
//            JsonElement context = signin.get("context");
//            JsonElement LayoutStyle = signin.get("LayoutStyle");
//            String mContext = String.valueOf(context);
//            String mLayoutStyle = String.valueOf(LayoutStyle);
//
////            mPrinter.setFont(0, 0, 0, 1, 0);
//
//
//            if (mLayoutStyle.contains("\"")) {
//                printStyle = mLayoutStyle.replace("\"", "");
//                switch (printStyle) {
//                    case "left":
//                        mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 0);
//                        break;
//                    case "center":
//                        mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 1);
//                        break;
//                    case "right":
//                        mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 2);
//                        break;
//                    case "enter":
//                        break;
//                    default:
//                        mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 0);
//                        break;
//                }
//            }else {
//                switch (mLayoutStyle) {
//                    case "left":
//                        mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 0);
//                        break;
//                    case "center":
//                        mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 1);
//                        break;
//                    case "right":
//                        mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 2);
//                        break;
//                    case "enter":
//                        mPrinter.printText("\n");
//                        break;
//                    default:
//                        mPrinter.setPrinter(PrinterConstants.Command.ALIGN, 0);
//                        break;
//                }
//            }
//
//
//            if (mContext.contains("\"")) {
//                printContent = mContext.replace("\"", "");
//                mPrinter.printText(printContent);
//            } else
//                mPrinter.printText(mContext);
//
//            mPrinter.printText("\n");
//
//        }
//        mPrinter.printText("\n");
//        mPrinter.printText("\n");
//        mPrinter.printText("\n");
        mPrinter.printText("\n");
        mPrinter.printText("\n");
        mPrinter.printText("\n");

        if (status != null)
            status.status();

    }
}
